(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/common/http'), require('apollo-link')) :
    typeof define === 'function' && define.amd ? define('apollo-angular-link-headers', ['exports', '@angular/common/http', 'apollo-link'], factory) :
    (global = global || self, factory(global['apollo-angular-link-headers'] = {}, global.ng.common.http, global.apolloLink.core));
}(this, function (exports, http, apolloLink) { 'use strict';

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    var httpHeaders = function () {
        return new apolloLink.ApolloLink(function (operation, forward) {
            var getContext = operation.getContext, setContext = operation.setContext;
            var context = getContext();
            if (context.headers) {
                setContext(__assign({}, context, { headers: new http.HttpHeaders(context.headers) }));
            }
            return forward(operation);
        });
    };

    exports.httpHeaders = httpHeaders;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=ng.apolloLink.headers.umd.js.map
